* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
body {
    line-height: 1.4;
}


.container {
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.logo img {
    max-width: 389px;
    width: 100%;
    height: auto;
}

.header-content {
    background-color: #ffffff;
    display: flex;
    gap: 56px;
    justify-content: center;
    align-items: center;
    padding: 21px;
    border-bottom: 2px solid #000000;
}

.countdown-container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    gap: 32px;
}

#countdown {
    font-family: "Poppins", sans-serif;
    font-size: 21px;
    color: #000000;
    line-height: 32px;
    display: flex;
    justify-content: center;
    gap: 11px;
    padding: 0 6px;
}

.dot {
    padding-top: 5px;
}

.time-unit {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.time-unit span:nth-child(2) {
    font-size: 14px;
    line-height: 20px;
}

.bg-container {
    position: relative;
}

.bg-color {
    display: flex;
    justify-content: space-between;
    gap: 32px;
}

.bg-image {
    /* Below modified by DS, 2025 */
    background-image: url('../Images/PlayStation-Pre-Activation-Assets/Background-Desktop.png');
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    /* height: 100vh;  */
    background-position: center center;
    padding: 80px 40px 60px 40px;
    min-height: 100vh;
}

.gigya-registration-form {
    background-color: #efe8e8;
    border-radius: 20px;
    position: relative;
    z-index: 1;
}
.guilloche-wave {
    display: block;
}
.guilloche-wave img {
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 0;
    left: 0;
}
.guilloche-wave-mob {
    display: none; /* Hide on desktop */
}
.info {
    max-width: 365px;
}

.info p {
    font-size: 16px;
    line-height: 1.4;
    letter-spacing: 0.5px;
    color: #000000;
    font-weight: 400;
    padding-top: 7px;
    padding-bottom: 0;
}

/* Start - Calender */
.add-to-calender {
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    line-height: 1.4;
    font-weight: 700;
    padding-left: 8px;
}

.add-to-calender #atcb-reference {
    display: none;
}

add-to-calendar-button#add-calendar-btn::part(atcb-button) {
    background-color: #003087;
    color: #fff;
    padding-left: 52px;
}

add-to-calendar-button#add-calendar-btn::part(atcb-button-icon) {
    display: none;
}

add-to-calendar-button#add-calendar-btn::part(atcb-button)::after {
    position: absolute;
    background-image: url(../Images/icon-calendar.png);
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
    content: "";
    left: 24px;
    top: 50%;
    right: auto;
    background-size: cover;
    transform: translateY(-50%);
}

add-to-calendar-button::part(atcb-initialized) {
    width: 100%;
}

#atcb-reference {
    display: none;
}

/* End - Calender */


.footer-logo {
    padding: 24px 80px;
}

.footer-text a {
    font-size: 16px;
    line-height: 1.4;
    font-family: "Poppins", sans-serif;
    color: #333F48;
    font-weight: 500;
    padding: 33px 80px;
}

footer .footer-copyright {
    background-color: #F4F5F5;
    padding: 48px 80px 48px 80px;

}

.footer-copyright p {
    font-size: 14px;
    line-height: 21px;
    font-family: "Poppins", sans-serif;
    color: #333F48;
    font-weight: 500;
    max-width: 847px;
}

.footer-list {
    font-weight: 600;
    padding-bottom: 24px;
    display: flex;
    gap: 48px;
}
.footer-list .footer-item {
    list-style-type: none;
}

.footer-list .footer-item a {
    font-size: 14px;
    line-height: 1.5;
    text-decoration: none;
    color: #333F48;
}

p.footer-card-info {
    margin-bottom: 16px;
}

p.footer-card-info:last-child {
    margin-bottom: 0;
}
.footer-text a {
    text-decoration: none;
    display: block;
    cursor: pointer;
}

sup {
    font-size: 100%;
    vertical-align: -0.01em;
}

.hide {
    display: none;
}

/* error message css  */

.container-err-msg1, .container-err-msg2 {
    display: none;
}
.error-message,
.error-message2 {
    background-color: #DC392D;
    color: #ffffff;
    padding: 12px 80px 12px 80px;
    position: relative;
    display: flex;
    align-items: center;
    font-size: 18px;
    line-height: 24px;
    font-weight: 600;
    border-bottom: 1px solid #FFFFFF;

}

.error-icon {
    margin-right: 16px;
}

.close-btn {
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-weight: bold;
}

.close-btn img {
    width: 16px;
    height: 16px;
}

.visible-desktop {
    display: block !important;
}

.visible-mobile {
    display: none !important;
}

/* custom calender */
.calender {
    position: relative;
    display: inline-block;
}

    .calender button {
        background-color: #003087;
        color: white;
        padding: 12px 24px;
        font-size: 14px;
        line-height: 1.4;
        border: none;
        cursor: pointer;
        display: flex;
        align-items: center;
        border-radius: 40px;
        font-weight: 700;
        letter-spacing: 1px;
    }

.calender button picture {
    width: 17px;
    height: 17px;
    margin-right: 12px;
}

.calender-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    width: 100%;
    box-shadow: 0px 8px 20px 0px #00000026;
    z-index: 999;
    padding: 8px;
    margin-top: 8px;
    border-radius: 8px;
    min-width: 200px;
    right: 0;
}

.calender-content a {
    color: #13294B;
    padding: 8px;
    text-decoration: none;
    display: flex;
    align-items: center;
    font-size: 14px;
    line-height: 1.4;
    letter-spacing: 0.5px;
    font-weight: 500;
}

.calender-content a img {
    margin-right: 10px;
}

.calender-content .g-calender {
    margin-right: 8px;
}

.calender-content a:hover {
    background-color: #B1E4E3;
    border-radius: 4px;
}

.calender.show .calender-content {
    display: block;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
}

.form-group input {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
}

button:focus,
input[type="submit"]:focus {
    outline: 1px solid #333;
}

/* custom calender END */


/* mobile styling  */
@media screen and (max-width: 992px) {
    .header-content {
        display: block;
        padding: 0;
    }

    .logo {
        text-align: center;
        padding: 20px 24px;
    }

    .bg-color {
        display: block;
        background-color: #000;
    }

    .info {
        width: 100%;
        max-width: 100%;
        text-align: center;
        border-bottom: 1px solid #fff;
        padding: 5px 20px;
    }

    .info p {
        color: #FFFFFF;
        font-size: 10px;
        line-height: 1.4;
        letter-spacing: 0.5px;
        padding-top: 0;
    }

    .info p strong {
        color: #fff;
    }

    #countdown {
        color: #FFFFFF;
        font-size: 17px;
        line-height: 25px;
    }

    .time-unit span:nth-child(2) {
        font-size: 11px;
        line-height: 17px;
    }

    .countdown-container {
        padding: 10px 24px;
        max-width: 400px;
        gap: 15px;
        margin: auto;
    }

    .calender button picture {
        width: 20px;
        height: 20px;
    }

    .footer-logo {
        padding: 24px 80px 24px 24px;
    }

    .footer-text a {
        padding: 24px;
    }

    .footer-list {
        gap: 24px;
        flex-direction: column;
    }

    footer .footer-copyright {
        padding: 24px;
    }

    .show {
        display: block;
    }

    .error-message,
    .error-message2 {
        padding: 16px 51px 16px 16px;
        align-items: start;
        font-size: 16px;
    }

    .close-btn {
        right: 12px;
        top: 4%;
        transform: translateY(0);
    }

    .error-icon {
        margin-right: 16px;
    }

    .calender button {
        background-color: #fff;
        color: #003087;
    }

    .visible-mobile {
        display: block !important;
    }

    .visible-desktop {
        display: none !important;
    }
    /* .guilloche-wave img {
        max-height: 85px;
        height: 85px;
    } */
    
    /* gigya form styling to testing */
    .gigya-screen.portrait {
        width: 100% !important;
        padding: 20px !important;
    }
    
    .gigya-screen .second-header,
    .gigya-screen .gigya-composite-control.gigya-composite-control-textbox,
    .gigya-screen .gigya-composite-control.gigya-composite-control-dropdown,
    .gigya-screen .submit-btn {
        max-width: 400px !important;
        width: 100% !important;
        float: none;
    }
}

@media screen and (max-width: 768px) {
    /* mobile bg image  */
    .bg-image {
        /* Below modified by DS, 2025 */
        background-image: url('../Images/PlayStation-Pre-Activation-Assets/Background-Mobile.png');
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        /* height: 100vh;  */
        background-position: center center;
        min-height: 100vh;
    }
    .bg-container .bg-image {
        padding: 40px 16px 40px 17px;
    }
    .guilloche-wave {
        display: none; /* Hide on mobile */
    }

    .guilloche-wave-mob {
        display: block; /* Show on mobile */
       
    }
    .guilloche-wave-mob img {
        width: 100%;
        height: auto;
        position: absolute;
        bottom: 0;
        left: 0;
    }
}